rpm 4.20.1 The RPM Package Manager

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
RPM plugins API

Structures and methods for developint RPM plugins. More...

## Typedefs
typedef enum rpmScriptletExecutionFlow_e | rpmScriptletExecutionFlow

## Enumerations
enum | rpmScriptletExecutionFlow_e { RPMSCRIPTLET_NONE = 0 , RPMSCRIPTLET_FORK = 1 << 0 , RPMSCRIPTLET_EXEC = 1 << 1 }

## Functions
const char * | rpmPluginName (rpmPlugin plugin)
const char * | rpmPluginOpts (rpmPlugin plugin)
void | rpmPluginSetData (rpmPlugin plugin, void *data)
void * | rpmPluginGetData (rpmPlugin plugin)

## Detailed Description

Structures and methods for developint RPM plugins.

## Typedef Documentation

## ◆ rpmScriptletExecutionFlow

typedef enum rpmScriptletExecutionFlow_e rpmScriptletExecutionFlow

Rpm plugin API

## Enumeration Type Documentation

## ◆ rpmScriptletExecutionFlow_e

enum rpmScriptletExecutionFlow_e

Rpm plugin API

## Function Documentation

## ◆ rpmPluginGetData()

void * rpmPluginGetData | ( | rpmPlugin | plugin | ) |

Get plugin private data

Parameters

  plugin | plugin handle

Returns
  pointer to plugin private data

## ◆ rpmPluginName()

const char * rpmPluginName | ( | rpmPlugin | plugin | ) |

Return plugin name

Parameters

  plugin | plugin handle

Returns
  plugin name string

## ◆ rpmPluginOpts()

const char * rpmPluginOpts | ( | rpmPlugin | plugin | ) |

Return plugin options

Parameters

  plugin | plugin handle

Returns
  plugin options string (or NULL if none)

## ◆ rpmPluginSetData()

void rpmPluginSetData | ( | rpmPlugin | plugin,
|  | void * | data )

Set plugin private data

Parameters

  plugin | plugin handle
  data | pointer to plugin private data